Qt 5.6 | Qt 3D | C++ Classes | QCameraSelector

Qt 5.6.3 Reference Documentation

# QCameraSelector Class

(Qt3DRender::QCameraSelector)

Header: | #include <QCameraSelector>
qmake: | QT += 3drender
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- camera : Qt3DCore::QEntity *

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCameraSelector(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QCameraSelector()
Qt3DCore::QEntity * | camera() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setCamera(Qt3DCore::QEntity *camera)

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | cameraChanged(Qt3DCore::QEntity *camera)

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QCameraSelector(QCameraSelectorPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### camera : Qt3DCore::QEntity *

Access functions:

Qt3DCore::QEntity * | camera() const
void | setCamera(Qt3DCore::QEntity *camera)

Notifier signal:

void | cameraChanged(Qt3DCore::QEntity *camera)

## Member Function Documentation

### QCameraSelector::QCameraSelector(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QCameraSelector.

### `[protected]` QCameraSelector::QCameraSelector(QCameraSelectorPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QCameraSelector::~QCameraSelector()

Destroys the instance of QCameraSelector.

### `[protected]` void QCameraSelector::copy(const Qt3DCore::QNode *ref)